MetricSetControllerUpdateElementOnMetricSet Method |
PUT /MetricSet/UpdateElement/{id}
Updates the specified element on the metric set.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("UpdateElement")]
public IActionResult UpdateElementOnMetricSet(
Guid id,
[FromBodyAttribute] AnalysisElementUsageData element,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("UpdateElement")>
Public Function UpdateElementOnMetricSet (
id As Guid,
<FromBodyAttribute> element As AnalysisElementUsageData,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"UpdateElement")]
IActionResult^ UpdateElementOnMetricSet(
Guid id,
[FromBodyAttribute] AnalysisElementUsageData^ element,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("UpdateElement")>]
member UpdateElementOnMetricSet :
id : Guid *
[<FromBodyAttribute>] element : AnalysisElementUsageData *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the metric set to update the element on. - element
- Type: Dundas.BI.WebApi.ModelsAnalysisElementUsageData
The element to update. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also